Products
List products
Store products, filterable by status, category, search text and last update.
GET/stores/{storeId}/v1/products
Query parameters
- limitinteger = 25
- cursorstring
- statusobject
- Product status.
activeinactive - categorystring
- Category name.
- searchstring
- Search by name.
- updated_sincestring (date-time)
- Products updated after this time.
Response
- dataarray<object>required
- idinteger
- namestring
- descriptionstring
- short_descstring | null
- imagestring | null
- imagesarray<string>
- image_altstring | null
- categorystring | null
- Category name.
- slugstring | null
- keywordsarray<string>
- supported_devicesobject
- seo_titlestring | null
- seo_descriptionstring | null
- og_imagestring | null
- product_kindobject
digitalservicephysical- statusobject
activeinactive- pricestring
- Price in SAR.
- old_pricestring | null
- Price before discount.
- price_stateobject
- required until a price is set; a new product is created inactive with price 0.00.
requiredready - resource_versioninteger
- executionobject
- Who executed the request: the app, version, installation and store. Field names here are camelCase.
- appIdstring (uuid)
- versionIdstring (uuid)
- installationIdstring (uuid)
- storeIdstring (uuid)
- requestIdstring (uuid)
- generationinteger
- routeEpochinteger
- appAuthEpochinteger
- grantRevisioninteger
- metaobjectrequired
- has_moreboolean
- limitinteger
- next_cursorstring | null
- consistencyobject
- request_idstring (uuid)
Errors
| HTTP | Code | Meaning |
|---|---|---|
| 400 | INVALID_FILTER | Invalid filter value. |
| 422 | UNKNOWN_FIELD | Unknown filter. |
| 400 | CURSOR_EXPIRED | 15 minutes have passed since the first page. |
Shared codes are listed in Errors.